org.apache.lucene.analysis.payloads

## Class FloatEncoder

- java.lang.Object
- - org.apache.lucene.analysis.payloads.AbstractEncoder
  - - org.apache.lucene.analysis.payloads.FloatEncoder

- All Implemented Interfaces:
    PayloadEncoder

      public class FloatEncoder
      extends AbstractEncoder
      implements PayloadEncoder

  Encode a character array Float as a `BytesRef`.

  See Also:
    `PayloadHelper.encodeFloat(float, byte[], int)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FloatEncoder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BytesRef` | `encode(char[] buffer, int offset, int length)` Convert a char array to a `BytesRef`

    - ### Methods inherited from class org.apache.lucene.analysis.payloads.AbstractEncoder

      `encode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.lucene.analysis.payloads.PayloadEncoder

      `encode`

- - ### Constructor Detail

    - #### FloatEncoder

          public FloatEncoder()

  - ### Method Detail

    - #### encode

          public BytesRef encode(char[] buffer,
                        int offset,
                        int length)

      Description copied from interface: `PayloadEncoder`
      Convert a char array to a `BytesRef`
      Specified by:
        `encode` in interface `PayloadEncoder`
      Returns:
        encoded `BytesRef`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.